## SubtitlesButton

The button component for toggling and selecting subtitles

## Constructor

#### new SubtitlesButton(player, optionsopt, readyopt)
`control-bar/text-track-controls/subtitles-button.js`, `line 12`

  Creates an instance of this class.

  ##### Parameters:

  Name | Type | Attributes | Description
  --- | --- | --- | ---
  `player` | Player |  | The `Player` that this class should be attached to.
  `options` | Object | <optional> | The key/value store of player options.
  `ready` | Component~ReadyCallback | <optional> | The function to call when this component is ready.

### Extends

- TextTrackButton

### Methods

#### buildCSSClass() → {string}
`control-bar/text-track-controls/subtitles-button.js`, `line 36`

  Builds the default DOM `className`.

  ##### Returns:

  string -

  The DOM `className` for this object.

#### createItems(itemsopt) → {Array.<TextTrackMenuItem>}
`control-bar/text-track-controls/text-track-button.js`, `line 40`

  Create a menu item for each text track

  ##### Parameters:

  Name | Type | Attributes | Default | Description
  --- | --- | --- | --- | ---
  `items` | Array.<TextTrackMenuItem> | <optional> | [] | Existing array of items to use during creation

  ##### Returns:

  Array.<TextTrackMenuItem> -

  Array of menu items that were created

  Inherited From:
    - TextTrackButton#createItems